本文へスキップ

1 つの profile のタイムラインを一覧

GET
/v1/timelines/{profile}

指定した profile の benchmark timeline エントリを返します。profile は LLMSnare 設定の profile 名です。

パラメータ

パスパラメータ

profile*

Profile name from the LLMSnare config.

string
必須

クエリパラメータ

limit

Return the latest N matching entries. Defaults to 1024.
The server caps 0 and values above 1024 to 1024. Negative and
non-integer values return 400.

integer
最小値
0
デフォルト
1024
model

Return only entries whose model exactly matches this value.

string
model_vendor

Return only entries whose model_vendor exactly matches this value.

string
inference_provider

Return only entries whose inference_provider exactly matches this value.

string
case_id

Return only entries whose case_id exactly matches this value.

string

レスポンス

Timeline entries for the requested profile

application/json
JSON
{
  
"profile": "string",
  
"provider": "string",
  
"model": "string",
  
"model_vendor": "string",
  
"inference_provider": "string",
  
"entries": [
  
  
{
  
  
  
"run_id": "string",
  
  
  
"timestamp": "string",
  
  
  
"finished_at": "string",
  
  
  
"case_id": "string",
  
  
  
"profile": "string",
  
  
  
"success": true,
  
  
  
"total_score": 0,
  
  
  
"raw_score": 0,
  
  
  
"max_score": 0,
  
  
  
"normalized_score": 0,
  
  
  
"metrics": {
  
  
  
  
"read_file_calls": 0,
  
  
  
  
"write_file_calls": 0,
  
  
  
  
"list_dir_calls": 0,
  
  
  
  
"read_write_ratio": 0,
  
  
  
  
"pre_write_read_coverage": 0
  
  
  
},
  
  
  
"deductions": [
  
  
  
  
{
  
  
  
  
  
"name": "string",
  
  
  
  
  
"points": 0,
  
  
  
  
  
"description": "string"
  
  
  
  
}
  
  
  
],
  
  
  
"bonuses": [
  
  
  
  
{
  
  
  
  
  
"name": "string",
  
  
  
  
  
"points": 0,
  
  
  
  
  
"description": "string"
  
  
  
  
}
  
  
  
]
  
  
}
  
]
}

Playground

変数
キー

サンプル